Package Details: hangups-git 1:0.4.10.r3.gffa4ac9-1

Git Clone URL: https://aur.archlinux.org/hangups-git.git (read-only, click to copy)
Package Base: hangups-git
Description: The first third-party instant messaging client for Google Hangouts
Upstream URL: http://github.com/tdryer/hangups
Keywords: Google Hangouts
Licenses: MIT
Conflicts: hangups
Provides: hangups
Submitter: Stunts
Maintainer: Stunts
Last Packager: Stunts
Votes: 43
Popularity: 0.000000
First Submitted: 2014-09-17 10:34 (UTC)
Last Updated: 2020-06-15 17:29 (UTC)

Latest Comments

jose1711 commented on 2022-01-23 21:43 (UTC)

Had to edit requires.txt to allow newer MechanicalSoup - seems to be working OK so far.

Stunts commented on 2020-06-15 17:29 (UTC)

Thanks @bobpaul. I have made the recommended changes.

bobpaul commented on 2020-06-14 16:47 (UTC) (edited on 2020-06-14 16:56 (UTC) by bobpaul)

@Stunts that didn't work.

(>'o')>$ makepkg -i
[... SNIP ...]

^('o')^$ grep 3.12 -R src/hangups/*
src/hangups/hangups.egg-info/requires.txt:protobuf<3.12,>=3.1.0
src/hangups/setup.py:    'protobuf>=3.1.0,<3.12',

<('.'<)$ grep 'sed.*protobuf' PKGBUILD
  sed -i 's/protobuf>=3.1.0,<=3.*.0/protobuf>=3.1.0/' setup.py 

^('.')^$ hangups
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (protobuf 3.12.0 (/usr/lib/python3.8/site-packages), Requirement.parse('protobuf<3.12,>=3.1.0'), {'hangups'})

During handling of the above exception, another exception occurred:
[... SNIP ...]

It looks like the replacement silently failed due to no match. Use sed -i "s/protobuf>=3.1.0,.*'/protobuf>=3.1.0'/" setup.py

Stunts commented on 2019-11-15 09:53 (UTC)

Thanks @NBonaparte. I have updated the package and used your helpful sed line. I also must say that it has been quite a while since I last used hangups, so if anyone else wants to step up as a new maintainer for this package it is yours for the taking.

NBonaparte commented on 2019-11-15 03:41 (UTC)

The sed protobuf line doesn't work because the upper bounds have changed (and probably will keep changing), resulting in the current python-protobuf version being too high.

I think this would be better:

sed 's/protobuf>=3.1.0,<=3.*.0/protobuf>=3.1.0/' setup.py

Kabir commented on 2018-08-06 14:39 (UTC)

Thanks @Stunts that worked.

Stunts commented on 2018-08-06 12:52 (UTC) (edited on 2018-08-06 12:52 (UTC) by Stunts)

Updated the package to force a rebuild with the latest python. Note that in order to make hangups work, you will also need to rebuild "python-mechnicalsoup", "python-reparser" and "python-readlike", which at the time of writing have not yet had their PKGBUILDs bumped.

Stunts commented on 2018-07-30 11:17 (UTC)

Hi @Kabir, Just rebuild the package, which should solve your issue.

Kabir commented on 2018-07-29 04:14 (UTC) (edited on 2018-07-29 04:16 (UTC) by Kabir)

When exiting hangups I get the below message, is that normal or is it not closing cleanly? It got me wondering because it wasn't happening earlier.

`--> hangups

Traceback (most recent call last): File "/usr/bin/hangups", line 11, in <module> load_entry_point('hangups==0.4.4', 'console_scripts', 'hangups')() File "/usr/lib/python3.6/site-packages/hangups/ui/main.py", line 1135, in main datetimefmt, notifier_, args.discreet_notifications File "/usr/lib/python3.6/site-packages/hangups/ui/main.py", line 135, in init loop.run_until_complete(task) File "/usr/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete return future.result() concurrent.futures._base.CancelledError</module>

Stunts commented on 2018-05-10 10:11 (UTC)

Thanks @Kabir for the heads up. I have updated the PKGBUILD to address this problem.

Kabir commented on 2018-05-09 14:28 (UTC) (edited on 2018-05-09 14:31 (UTC) by Kabir)

I think the same error has reoccurred. There was an update to python aiohttp and now hangups gives a DistributionNotFound exception, The 'async-timeout<3,>=2' distribution was not found

Stunts commented on 2018-02-26 11:02 (UTC)

@739f2caa0c Thanks, I have bumped the package. I have also removed the "patch" line that hacked around the aiohttp version 2.

739f2caa0c commented on 2018-02-26 04:36 (UTC)

Currently broken from recent updates. New commits just added to add compatibility with aiohttp 3.

Stunts commented on 2018-01-31 15:02 (UTC)

Updated the PKGBUILD to include "provides" and "conflicts" fields, now that a stable hangups package is also available.

Freso commented on 2018-01-31 14:55 (UTC)

"hangups" should be added to $provides and $conflicts.

Stunts commented on 2017-02-24 11:27 (UTC)

@adamc83 Glad it's working now.

adamc83 commented on 2017-02-23 21:14 (UTC)

@Stunts That PR fixed it for me. I just copied the changed files over the current installation. I'll leave a comment over there and let them know.

Stunts commented on 2017-02-17 10:27 (UTC)

@adamc83: I don't think there is a real fix yet. The only think I can recommend is loging in to hangouts.google.com and deleting any empty conversation events, which seems to the the root cause of the issue. You may also wish to try using [PR#306](https://github.com/tdryer/hangups/pull/306), which is an attempt to fix the problem.

adamc83 commented on 2017-02-17 03:49 (UTC)

@Stunts No. I also tried rebuilding/reinstalling python-aiohttp and python-multidict, since those have been a problem in the past. Removing ~/.config/hangups didn't help either. It crashes with the same error before even getting to the account setup phase.

Stunts commented on 2017-02-16 14:18 (UTC)

@adamc83: Does re-installing python-yarl solve the issue?

adamc83 commented on 2017-02-16 02:17 (UTC)

@Stunts Thanks for the fix, but now I am running into https://github.com/tdryer/hangups/issues/297 (I'm seeing the exact same error message). If anyone has a workaround, let us know. This is my favorite gchat client, I wish it wasn't so prone to breakage...

Stunts commented on 2017-02-15 10:18 (UTC)

@yar Thanks, added.

yar commented on 2017-02-15 04:40 (UTC)

This needs makedepends=('git')

Stunts commented on 2017-02-14 22:12 (UTC)

@adamc83 Fixed the package. This is an upstream problem, since upstream uses very strict versioned dependencies. There was an attempt to mitigate this problem here: https://github.com/tdryer/hangups/pull/284 but no satisfactory result came of it. So for now I'll just keep juggling the dependencies manually.

adamc83 commented on 2017-02-14 21:17 (UTC)

Package is broken after python-aiohttp update to 1.3.1: File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 854, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'aiohttp<1.3,>=1.2' distribution was not found and is required by hangups Not sure if this is an upstream issue, I can report there if so.

Stunts commented on 2017-01-06 14:59 (UTC)

I have updated the PKGBUILD to force a rebuild with python 3.6. Please note that some of the dependencies of hangups-git have not been bumped yet, so you may wish to manually rebuild them. python-aiohttp will give you trouble since upstream still does not support wheels. You will have to modify the PKGBUILD to force a source rebuild.

Stunts commented on 2016-12-29 23:30 (UTC)

I have updated the PKGBUILD to match the new upstream dependency policy. However, this means the two of the dependencies have to update their packages for hangups to work again: python-aiohttp and python-multidict. If you wish to updated these packages yourself in the meantime, just bump the package version to 1.2.0 and 2.1.4 respectively (and adjust the checksums) until the maintainers update their packages.

Stunts commented on 2016-09-19 11:42 (UTC)

I have updated the PKGBUILD to match the latest upstream changes. Note that in order for this the latest PKGBUILD to work, we need to wait for the maintainers of "python-aiohttp" and "python-mechanicalsoup" to update their packages too. To ease the transition I have created an AUR package for the dep of python-aiohttp, but I can't update the packages from other maintainers (although the changes to the PKGBUILDs are simple enough if you really need hangups working now - just bump the $pkgver of the mentioned packages to 1.0.1 and 0.4.0 respectively and install [python-asyinc-timeout](https://aur.archlinux.org/packages/python-async-timeout/).

Stunts commented on 2016-01-10 22:36 (UTC)

@Freso: Thanks, it make a lot more sense like this. The downside was that this change required adding an "Epoch" marker. I don't like doing this, but it was the only solution. Anyway, the version was already such an ugly string, that adding an extra "1:" does not affect it that much.

Freso commented on 2016-01-09 10:21 (UTC) (edited on 2016-01-09 10:21 (UTC) by Freso)

Please switch to using a pkgver() function based on actual Git data, rather than a simple date based function. See https://wiki.archlinux.org/index.php/VCS_package_guidelines#The_pkgver.28.29_function

Stunts commented on 2015-11-02 10:16 (UTC)

Word of caution - hangups-git now requires python-urwid >= 1.3.1, which is not in the official repos yet. However, just downloading the PKGBUILD and updating the version number and md5sum will build the latest version and make hangups-git work again.

Stunts commented on 2015-10-02 14:18 (UTC)

Anyone having trouble running hangups after the latest update, please rebuild: python-aiohttp python-reparser python-purplex python-readlike python-protobuf (don't forget to do a chmod 644 /usr/lib/python3.5/site-packages/protobuf-3.0.0a3-py3.5.egg-info/* due to the broken permissions on python-protobuf package)

Stunts commented on 2015-08-27 22:03 (UTC)

@jodizzle and @e8hffff: You're welcome. Arch linux gives me so much, I have to give back in what manner I can. =-)

Stunts commented on 2015-08-27 22:02 (UTC)

Fixed! Please test just to make sure I didn't miss anything. Upstream fixed a couple of annoying dependency issues, so the sed lines were now interfering with it. I just removed (actually commented them out for now, just in case) them from the PKGBUILD. Also I like the term "Illegal move". xD PS - Technical note - the aforementioned sed lines were now removing indented code, which left the "if" statements effectively empty (and thus throwing errors).

jodizzle commented on 2015-08-27 21:37 (UTC)

@Stunts Thanks! I appreciate the work you've put into this.

Stunts commented on 2015-08-27 21:32 (UTC)

@4z01235 and @jodizzle: I'm on the issue. Shoul have a fix for this soon. Thanks for the heads up. Upstream has been very active, and sometimes it's hard to keep up. xD

jodizzle commented on 2015-08-27 21:27 (UTC)

@4z01235 Yes, that is an illegal move in python. The overall issue seems to come from a change in the upstream (I'm looking at this https://github.com/tdryer/hangups/commit/968e6fc7326ccc604a27d343207afdc64a92df30) that took place after the latest AUR update. The PKGBUILD contains several sed commands and some of those seem to be deleting the lines that are supposed to be under the two new if-statements, hence the indented block error. I tried modifying the PKGBUILD by playing around with the sed commands, and I got hangups to build, but I haven't gotten it to actually run properly (dependency issues).

4z01235 commented on 2015-08-27 20:16 (UTC)

==> Starting package()... File "setup.py", line 47 if sys.version_info < (3, 4, 3): ^ IndentationError: expected an indented block Is this a problem with the actual upstream file, or is this an environment problem? 'python -V' says 3.4.3 anyway. I'm not really a Python user so I'm not sure what's expected in the source here. Before this line that the interpreter complains about is another if-statement, but without any meaningful body - it just has some comments following it, and then this if-statement is below it at the same (zero) indent level. I suppose that's not okay in Python?

e8hffff commented on 2015-08-26 18:40 (UTC)

@Stunts thanks Man for your works!

Stunts commented on 2015-08-26 00:49 (UTC)

Updated to match the latest upstream changes. Added the dependency "python-protobuf" and changed "python-urwid-git" to "python-urwid" (thanks to @Meistache for the heads up). There is a problem with the permissions on the "python-protobuf" package, but I'm working on sorting that out. For now you probably want to do: #chmod +r /usr/lib/python3.4/site-packages/protobuf-3.0.0a3-py3.4.egg-info/* To make hangups work.

Meistache commented on 2015-08-24 16:47 (UTC)

I have to note that python-urwid-git isn't needed (it doesn't even exist) anymore since python-urwid is on Extra repo. Just a little change on PKGBUILD.

Stunts commented on 2015-07-02 14:54 (UTC)

The package exists in aur4 since 26/06/2015... https://aur4.archlinux.org/packages/python-readlike/ I have just updated hangups-git to use it. That means that if you want to updated it with yaourt you must add the --aru-url https://aur4.archlinux.org Other AUR helpers may vary.

vivaeltopo commented on 2015-07-01 11:52 (UTC)

with the latest version I get the error on startup, that readlike is missing. There is no package on the aur yet, I fixed it by installing it from pip: [sudo] pip install -U readlike

Stunts commented on 2015-06-12 13:48 (UTC)

@jangler: The package seems to have been updated in aur4 already. You are probably using an outdated version of python-aiohttp. If you update this package, your dependency problems will go away. =-)

Stunts commented on 2015-06-12 13:41 (UTC)

I'll just repost what I posted in AUR 3: ----- The python-chardet is actually a dependecy for python-aiohttp. The package maintainer has been notified of this change. Sorry about the inconvenience, but there's really not much more I can do, other than adding an unnecessary dependency. (...unrelated...) Thanks. --- https://aur.archlinux.org/packages/hangups-git/ We just have to wait for the maintainer of python-aiohttp to update his package.

jangler commented on 2015-06-12 13:38 (UTC)

Hey, python-chardet should be listed as a dependency.

Stunts commented on 2015-05-26 09:15 (UTC)

Sorry about the python-six dependency. It was missing from python-purplex (one of hangups's dependencies), which I also maintain in the AUR. It's fixed now.

Stunts commented on 2015-05-12 21:08 (UTC)

Updated to start using oauth system.

Stunts commented on 2015-05-12 21:01 (UTC)

@dreuter: thanks, but it seems python-six is not required by hangups (at least according to this: https://github.com/tdryer/hangups/blob/master/setup.py) One (or more) of it's dependencies might require it though. If you find out which, let the maintainer of that package know.

dreuter commented on 2015-05-07 12:13 (UTC)

Could you please add python-six as dependency, as it seems to be needed.

Stunts commented on 2015-04-25 22:21 (UTC)

Apparently it is now: https://github.com/jmcarp/robobrowser/blob/master/setup.py

StatelessCat commented on 2015-04-25 22:19 (UTC)

Yes it python-robobrowser is building, but at the runtime of hangups, i got : pkg_resources.DistributionNotFound: The 'six>=1.9.0' distribution was not found and is required by robobrowser "six" is a new dependency of python-robobrowser ?

Stunts commented on 2015-04-25 22:06 (UTC)

Yes, if you just delete the patch lines, the package will be built.

Mikos commented on 2015-04-25 18:26 (UTC)

Did you looked at that patches? Maybe they are not needed anymore with new version (or maybe they have to be changed). I will look at it...

StatelessCat commented on 2015-04-25 18:22 (UTC)

Thanks @Mikos, i tried it (editing the PKGBUILD of python-robobrowser, the pkgversion and the md5sum), but the patching fails. *patching file setup.py *Hunk #1 succeeded at 3 with fuzz 2 (offset -1 lines). *Hunk #2 FAILED at 36. *1 out of 2 hunks FAILED -- saving rejects to file setup.py.rej

Mikos commented on 2015-04-25 18:00 (UTC)

Hangups now need python-robobrowser 0.5.2 or later, but package in AUR hasn't been updated yet. So you must download python-robobrowser PKGBUILD, change version to 0.5.2 and than build it (or use pacaur or similar AUR helpers and modify PKGBUILD with them).

StatelessCat commented on 2015-04-25 17:31 (UTC)

Thanks for this package. But I cannot launch hangups: Traceback (most recent call last): File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 639, in _build_master ws.require(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 940, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 832, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (robobrowser 0.5.1 (/usr/lib/python3.4/site-packages), Requirement.parse('robobrowser>=0.5.2'), {'hangups'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/hangups", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3057, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 641, in _build_master return cls._build_from_requirements(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 654, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 827, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'robobrowser>=0.5.2' distribution was not found and is required by hangups Any clue ? That's my python version or a missing lib ?

Mikos commented on 2015-04-23 08:24 (UTC)

hangups-git now needs python-reparser >= 1.4 (I have already updated my package, just letting you know).

Stunts commented on 2015-04-21 14:06 (UTC)

@Mikos: Thanks, fixed.

Mikos commented on 2015-04-21 13:59 (UTC)

I have updated my python-reparser package to latest version. Btw. you are missing dependency on python-reparser in hangups-git PKGBUILD.

Stunts commented on 2015-04-21 11:31 (UTC)

Also, I have updated the PKGBUILD for when all this stuff is updated...

Stunts commented on 2015-04-21 11:25 (UTC)

I'm on it. However: python-robobrowser needs to be updated. Which requires python-werkzeug to be updated too... In the meantime, you can manually update these packages locally. I have made out-of-date flags, but it might take a while for everything to get up to date.

McHearty commented on 2015-04-20 06:09 (UTC)

Newest version requires python-reparser as a dependancy and robobrowser >=0.5.2 so it currently fails to run @Stunts

commented on 2015-04-06 09:32 (UTC)

@Stunts: Thanks, that makes it clear.

Stunts commented on 2015-04-05 21:32 (UTC)

@Sascha Hi there - since this is a -git package, I don't usually update whenever a new feature lands upstream. If a user wants the latest git, all they have to do is reinstall the package. Due to this, there are mainly two reasons that make me update the package: a) The PKGBUILD requires some change (because it no longer builds, or the dependencies changed, or for some PKGBUILD bugfix, etc...); b) Upstream issued a security fix. So to answer your question, yes, it can be forced by updating the PKGBUILD, but no, I will not force it on everyone every time a new feature is introduced because the interested uses can do that themselves. I hope that clears it for you. Cheers! PS - Other package maintainers may do things differently - this is my approach.

commented on 2015-04-05 16:39 (UTC)

Hey, upstream just pushed a new feature (No notification on muted hangouts) and I want to have it in my installation. I don't really know, how AUR-git packages work and if there is anything the maintainer has to do so that automatic updates (eg done by pacaur -Syu) work, I updated via pacaur -S hangups-git and received the new version. Can this perhaps be forced by updating pkgver in the PKGBUILD?

Stunts commented on 2015-03-11 10:47 (UTC)

@Mikos: Thanks for the updated PKGBUILD. I had to keep "python-urwid-git" due to https://github.com/tdryer/hangups/issues/81 python-asyncio was removed, though.

Mikos commented on 2015-03-10 21:54 (UTC)

python-asyncio dependency is not needed (it is already included in Python 3.4, it is only needed for old Python 3.3). Also stable python-urwid seems to already support asyncio event loop, so python-urwid-git isn't needed anymore. Here is updated PKGBUILD: # Maintainer: Stunts <f.pinamartins@gmail.com> _pkgname=hangups pkgname=${_pkgname}-git pkgver=20150309 pkgrel=1 pkgdesc="The first third-party instant messaging client for Google Hangouts" arch=(any) url="http://github.com/tdryer/hangups" license=('MIT') depends=('python' 'python-purplex' 'python-requests' 'python-urwid' 'python-appdirs' 'python-aiohttp' 'python-six' 'python-robobrowser' 'python-configargparse' 'python-werkzeug') source=('git+https://github.com/tdryer/hangups.git') md5sums=('SKIP') pkgver() { cd ${srcdir}/${_pkgname} echo $(git log -1 --format='%cd' --date=short | tr -d '-') } package() { cd ${srcdir}/${_pkgname} sed -i 's/^.*asyncio==.*$//' setup.py sed -i 's/^.*enum34.*$//' setup.py sed -i 's/^.*purplex==.*$//' setup.py sed -i 's/^.*hangups-urwid.*$//' setup.py sed -i 's/==/>=/g' setup.py sed -i 's/hangups-robobrowser>=0.5.2/robobrowser>=0.5.1/g' setup.py python setup.py install --prefix=/usr --root="${pkgdir}" find "${pkgdir}/" -name '*.pyc' -delete find "${pkgdir}/" -type d -empty -delete }

Stunts commented on 2015-03-01 15:48 (UTC)

Updated to fix a bug in pkgver().

Stunts commented on 2015-02-24 22:33 (UTC)

@4z01235: Thanks for spotting that! I had totally missed it! Updated the package to fix the issue.

4z01235 commented on 2015-02-24 18:48 (UTC)

==> Starting pkgver()... tr: unrecognized option '---' Try 'tr --help' for more information.

Stunts commented on 2015-02-19 09:25 (UTC)

No problem! Ping me here if any more issues arise.

McHearty commented on 2015-02-19 02:03 (UTC)

Thanks for the update @Stunts, working great now

Stunts commented on 2015-02-18 09:59 (UTC)

Updated to comply with latest upstream changes...

Stunts commented on 2015-02-03 10:20 (UTC)

Updated to include the latest upstream emergency fix in order to comply with the latest google API change.

Stunts commented on 2015-01-21 14:35 (UTC)

The errors you are seeing are likely do to a problem with "robobrowser": https://aur.archlinux.org/packages/python-robobrowser/ https://github.com/jmcarp/robobrowser/pull/34 There is really not much I can do other then providing a patched version of robobrowse myself. But I will give both the package maintainer and upsrteam a few more days to respond... In the meantime, you can edit: /usr/lib/python3.4/site-packages/robobrowser-0.5.1-py3.4.egg-info/requires.txt and replace all "==" with ">=". I know it's an ugly hack, but it's all I can think of right now.

crunchy_crow commented on 2015-01-21 12:46 (UTC)

Just removed pip installation, trying to use this package. Got this error: ---------------------------------------------------- Traceback (most recent call last): File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 612, in _build_master ws.require(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 918, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 810, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (requests 2.2.1 (/usr/lib/python3.4/site-packages), Requirement.parse('requests>=2.3.0'), {'hangups'}) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/hangups", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3018, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 614, in _build_master return cls._build_from_requirements(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 627, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 805, in resolve raise DistributionNotFound(req) pkg_resources.DistributionNotFound: six==1.7.3 Probably I should try updating system packages with pip but maybe there's better solution.

Stunts commented on 2015-01-13 22:33 (UTC)

Patch for upstream added here: https://github.com/jmcarp/robobrowser/pull/34

Stunts commented on 2015-01-13 22:28 (UTC)

Updated to work with latest upstream. There is still a problem with robobrowser dependencies, but I'm trying to get is solved upstream.

Stunts commented on 2015-01-13 21:45 (UTC)

@EbKeth: Thanks for the heads up. I will see what I can do about it.

EbKeth commented on 2015-01-13 02:42 (UTC)

Package currently compiles, but does not run. Seems to be missing robobrowser as a dependency. the current package in the aur for robobrowser is also out of date. ------ $ hangups Traceback (most recent call last): File "/usr/bin/hangups", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3018, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 612, in _build_master ws.require(__requires__) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 918, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 805, in resolve raise DistributionNotFound(req) pkg_resources.DistributionNotFound: robobrowser>=0.5.1

Stunts commented on 2014-09-30 21:25 (UTC)

Updated to drop the asyncio dependency (no longer required) and to make it work with python-urwid.

figue commented on 2014-09-22 14:00 (UTC)

Thank you @Stunts Works fine indeed ;)

Stunts commented on 2014-09-22 10:10 (UTC)

My bad. Turns out python-six is indeed required.

Stunts commented on 2014-09-22 10:09 (UTC)

Updated with the new dependencies. I have also created the packages on which hangups depends on, but were not available in the AUR yet. I do not seem to requite python-six, though. Thanks to figue and Mikos for the heads up.

figue commented on 2014-09-21 00:35 (UTC)

Thanks for your package, but now it needs new dependencies... At least, for me I need to include: depends=('python' 'python-purplex' 'python-asyncio' 'python-requests' 'python-appdirs' 'python-urwid-git' 'python-six') python-asyncio doesn't exist in AUR, but without it, it doesn't work: https://pypi.python.org/pypi/asyncio I made it quickly and I can share it if someone is interested. hangups works fine even with 2-step verification enabled :)

Stunts commented on 2014-09-20 22:06 (UTC)

Thanks for the heads up Mikos. I will fix this as soon as I have access to one of my arch machines (probably tomorrow).

Mikos commented on 2014-09-20 10:05 (UTC)

Latest revision of Hangups doesn't use Tornado anymore, it has been replaced by Python >= 3.4 native asyncio module. There is only one new dependency: python-aiohttp